package com.example.acapendulum20.fragments.pendulum

import android.annotation.SuppressLint
import android.os.Bundle
import android.view.LayoutInflater
import android.view.MotionEvent
import android.view.View
import android.view.View.OnTouchListener
import android.view.ViewGroup
import android.widget.Button
import androidx.fragment.app.Fragment
import com.example.acapendulum20.R
import com.example.acapendulum20.canvas.CanvasPendulum


class PendulumFragment : Fragment() {

    @SuppressLint("ClickableViewAccessibility")
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        val view = inflater.inflate(R.layout.fragment_pendulum, container, false)
        val mCanvasPendulum: CanvasPendulum = view.findViewById(R.id.canvasContainer)!!

        //activate the magnet
        val button = view.findViewById<Button>(R.id.activate_btn)


        //button.setOnClickListener{
        //    mCanvasPendulum.startPendulum()
        //}


        button.setOnTouchListener(object : View.OnTouchListener{
            override fun onTouch(v: View?, event: MotionEvent?): Boolean {
                if (event?.action == MotionEvent.ACTION_DOWN){
                    println("button action DOWN")
                    mCanvasPendulum.startMagnet(true)
                }

                if (event?.action == MotionEvent.ACTION_UP){
                    println("button action UP")
                    mCanvasPendulum.stopMagnet(false)
                }
                return true
            }
        })

        //System.currentTimeMillis()
        //System.nanoTime()

        return view
    }
}